# MediaNode Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

This class has no public constructors. Calling the constructor function will cause a TypeError.

### Constructor Properties

- prototype: The MediaNode prototype object

### Prototype Object Properties

- List inputPaths()
- bool isValid()
- List outputPaths()

### Instance Properties

MediaNode objects have no special properties beyond those inherited from the MediaNode prototype object.